Bug 238115 (poppler-0.77.0) - [exp-run] update graphics/poppler to 0.77.0
Summary: [exp-run] update graphics/poppler to 0.77.0
Status: Closed FIXED
Alias: poppler-0.77.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/freebsd/freebsd-po...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-25 10:38 UTC by Tobias C. Berner
Modified: 2019-06-01 06:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-05-25 10:38:01 UTC
Hi there

I would like to ask for an exp-run to upgrade poppler to 0.77.0

The patch can be found here:
https://people.freebsd.org/~tcberner/patches/poppler-0.77.0.v1.diff



mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2019-05-31 18:24:01 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2019-06-01 06:40:22 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jun  1 06:39:38 UTC 2019
New revision: 503222
URL: https://svnweb.freebsd.org/changeset/ports/503222

Log:
  graphics/poppler: update to 0.77.0

  Release 0.77.0:
          core:
           * Fix crash on signature handling. Issue #766
           * Fix small memory leak in SignatureHandler::getCertificateInfo
           * Splash: Restrict filling of overlapping boxes. Issue #750
           * Fix crash on malformed files

          qt5:
           * Fix optional content handling with exclusive layers

          cpp:
           * Make render_page thread-safe

          utils:
           * pdfsig: Fix small memory leak
           * pdftotext: Fix typo in manpage

  PR:		238115
  Exp-run by:	antoine
  Approved by:	gnome (kwm, implicit)

Changes:
  head/converters/pdf2djvu/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/lumina-pdf/Makefile
  head/deskutils/recoll/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/efl/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/editors/calligra/Makefile
  head/editors/kile/Makefile
  head/editors/libreoffice/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/editors/texworks/Makefile
  head/graphics/atril/Makefile
  head/graphics/diff-pdf/Makefile
  head/graphics/diffpdf/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/electrix/Makefile
  head/graphics/engauge-digitizer/Makefile
  head/graphics/epdfview/Makefile
  head/graphics/evince/Makefile
  head/graphics/gdal/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/impressive/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/krita/Makefile
  head/graphics/okular/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg-devel/Makefile
  head/graphics/pdf2svg/Makefile
  head/graphics/pdfpc/Makefile
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler/pkg-plist
  head/graphics/pqiv/Makefile
  head/graphics/py-python-poppler-qt5/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/vips/Makefile
  head/graphics/xournal/Makefile
  head/graphics/xournalpp/Makefile
  head/graphics/zathura-pdf-poppler/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/textmail/Makefile
  head/misc/auto-multiple-choice/Makefile
  head/misc/tellico/Makefile
  head/net/kitinerary/Makefile
  head/print/cups-filters/Makefile
  head/print/deforaos-pdfviewer/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/pdf-tools/Makefile
  head/print/pdfcube/Makefile
  head/print/qpdfview/Makefile
  head/print/scribus-devel/Makefile
  head/print/texlive-base/Makefile
  head/sysutils/pcbsd-utils-qt5/Makefile
  head/sysutils/tracker-miners/Makefile
  head/textproc/pdfgrep/Makefile
  head/textproc/pdfsandwich/Makefile
  head/textproc/py-pdftotext/Makefile
  head/www/hotcrp/Makefile
  head/x11/eaglemode/Makefile
  head/x11-toolkits/rubygem-poppler/Makefile
Comment 3 Tobias C. Berner freebsd_committer 2019-06-01 06:42:25 UTC
Thanks for the exp-run.